%{?nodejs_find_provides_and_requires}

%global packagename detect-file
%global enable_tests 1

Name:		nodejs-detect-file
Version:	0.1.0
Release:	2%{?dist}
Summary:	Detect if a filepath exists and resolves the full filepath

License:	MIT
URL:		https://github.com/doowb/detect-file.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Also, releases aren't tagged in GitHub, so pull from master branch
Source1:	https://raw.githubusercontent.com/doowb/detect-file/master/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(fs-exists-sync)

%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Detect if a filepath exists and resolves the full filepath.


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
mkdir fixtures
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 26 2016 Jared Smith <jsmith@fedoraproject.org> - 0.1.0-1
- Initial packaging
